openSUSE Security Update : gdk-pixbuf-loader-rsvg (openSUSE-SU-2011:1090-1)

Medium Nessus Plugin ID 75509


The remote openSUSE host is missing a security update.


Specially crafted SVG files could make librsvg dereference a function pointer which potentially allows to execute arbitrary code (CVE-2011-3146).


Update the affected gdk-pixbuf-loader-rsvg packages.

See Also

Plugin Details

Severity: Medium

ID: 75509

File Name: suse_11_3_gdk-pixbuf-loader-rsvg-110916.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2016/07/08

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:librsvg, p-cpe:/a:novell:opensuse:librsvg-32bit, p-cpe:/a:novell:opensuse:librsvg-devel, p-cpe:/a:novell:opensuse:rsvg-view, cpe:/o:novell:opensuse:11.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/09/16

Reference Information

CVE: CVE-2011-3146

OSVDB: 75270